Package ru.bitel.bgbilling.plugins.crm.server.dao

# Class RegisterCallManager

java.lang.Object
ru.bitel.bgbilling.plugins.crm.server.dao.RegisterCallManager

    public class RegisterCallManager
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `RegisterCallManager​(java.sql.Connection con)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `deleteCallsByContractId​(int contractId)` |
  `RegisterCall` | `getCallById​(int id)` |
  `RegisterCall` | `getCallByID​(int id)` | Deprecated.
  `java.util.List<RegisterCall>` | `getProblemCallList​(int problemID)` |
  `java.util.Map<java.lang.Integer,​java.util.List<RegisterCall>>` | `getProblemCallList​(java.util.List<java.lang.Integer> problemIds)` |
  `void` | `searchList​(SearchResult<RegisterCall> searchResult)` |
  `void` | `updateCall​(java.lang.String id, RegisterCall call)` | Deprecated. использовать `updateCall(RegisterCall)`
  `void` | `updateCall​(RegisterCall call)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RegisterCallManager

    public RegisterCallManager​(java.sql.Connection con)

- ## Method Details

  - ### getProblemCallList

    public java.util.List<RegisterCall> getProblemCallList​(int problemID)

  - ### getCallById

    public RegisterCall getCallById​(int id)

  - ### getCallByID

    @Deprecated public RegisterCall getCallByID​(int id)
    Deprecated.
    Использовать `getCallById(int)`.
    Parameters:
      `id` -
    Returns:

  - ### searchList

    public void searchList​(SearchResult<RegisterCall> searchResult)

  - ### getProblemCallList

    public java.util.Map<java.lang.Integer,​java.util.List<RegisterCall>> getProblemCallList​(java.util.List<java.lang.Integer> problemIds)

  - ### updateCall

    @Deprecated public void updateCall​(java.lang.String id, RegisterCall call)
    Deprecated.
    использовать `updateCall(RegisterCall)`
    Parameters:
      `id` -
      `call` -

  - ### updateCall

    public void updateCall​(RegisterCall call)

  - ### deleteCallsByContractId

    public void deleteCallsByContractId​(int contractId)